/**                                                                                               
 * Copyright (c) Members of the EGEE Collaboration. 2004-2010.                                    
 * See http://www.eu-egee.org/partners/ for details on the copyright                              
 * holders.                                                                                       
 *                                                                                                
 * Licensed under the Apache License, Version 2.0 (the "License");                                
 * you may not use this file except in compliance with the License.                               
 * You may obtain a copy of the License at                                                        
 *                                                                                                
 *     http://www.apache.org/licenses/LICENSE-2.0                                                 
 *                                                                                                
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 *
 *  Authors:
 *  2009-
 *     Oscar Koeroo <okoeroo@nikhef.nl>
 *     Mischa Sall\'e <msalle@nikhef.nl>
 *     David Groep <davidg@nikhef.nl>
 *     NIKHEF Amsterdam, the Netherlands
 *     <grid-mw-security@nikhef.nl> 
 *
 *  2007-2009
 *     Oscar Koeroo <okoeroo@nikhef.nl>
 *     David Groep <davidg@nikhef.nl>
 *     NIKHEF Amsterdam, the Netherlands
 *
*
 *  2003-2007
 *     Martijn Steenbakkers <martijn@nikhef.nl>
 *     Gerben Venekamp <venekamp@nikhef.nl>
 *     Oscar Koeroo <okoeroo@nikhef.nl>
 *     David Groep <davidg@nikhef.nl>
 *     NIKHEF Amsterdam, the Netherlands
 *
 */


/*!
    \file   lcmaps_plugin_prototypes.h
    \brief  plugin function prototypes
*/

#ifndef LCMAPS_PLUGIN_TYPEDEFS_H
#define LCMAPS_PLUGIN_TYPEDEFS_H

#include "lcmaps_arguments.h"

typedef int plugin_initialize_t(int, char **);
typedef int plugin_introspect_t(int *, lcmaps_argument_t **);
typedef int plugin_run_t(int, lcmaps_argument_t *);
typedef int plugin_verify_t(int, lcmaps_argument_t *);
typedef int plugin_terminate_t(void);

#endif /* LCMAPS_PLUGIN_TYPEDEFS_H */
